# Class JDXSourceStreamTokenizer

java.lang.Object
jspecview.source.JDXSourceStreamTokenizer

public class JDXSourceStreamTokenizer extends Object

Author:
  Debbie-Ann Facey, Khari A. Bryan, Prof Robert J. Lancashire
See Also:
  - `JDXSource`

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`rawLine`

## Method Summary

Modifier and Type
Method
Description
`static String`
`cleanLabel(String label)`
Extracts spaces, underscores etc.
`String`
`getValue()`
`String`
`readLineTrimmed()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### rawLine

public String rawLine

## Method Details

### cleanLabel

public static String cleanLabel(String label)
Extracts spaces, underscores etc. from the label

Parameters:
  `label` - the label to be cleaned
Returns:
  the new label

### getValue

public String getValue()

### readLineTrimmed

public String readLineTrimmed() throws IOException

Throws:
  `IOException`